import { server } from "@/utils/server";

// 前台用户绑定手机号
export const getBindPhoneApi = () => {
    return server.post<any>({
        url: "/v1/api/user/bind_phone",
        toast: true,
    });
};

// 前台用户手机号是否存在
export const getCheckUserPhoneExistApi = (params: any) => {
    return server.get<any>({
        url: "/v1/api/user/check_user_phone_exist",
        params,
        toast: true,
    });
};

// 找回密码
export const getFindPwdApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/find_pwd",
        data,
        toast: true,
    });
};

// 前台用户谷歌登录
export const getGoogleLoginApi = () => {
    return server.post<any>({
        url: "/v1/api/user/google_login",
    });
};

// 前台用户登录
export const getLoginApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/login",
        data,
        toast: true,
    });
};

// 前台用户登出
export const getLogoutApi = () => {
    return server.post<any>({
        url: "/v1/api/user/logout",
        toast: true,
    });
};

// 前台用户注册
export const getRegisterApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/register",
        data,
        toast: true,
    });
};

// 前台用户注册发送验证码
export const getSendCodeApi = (params: any) => {
    return server.get<any>({
        url: "/v1/api/user/send_code",
        params,
        toast: true,
    });
};

// 前台用户获取信息
export const getUserInfoApi = () => {
    return server.post<any>({
        url: "/v1/api/user/user_info",
    });
};

export interface Wallet {
    /**
     * 用户头像
     */
    avatar_url?: string;
    /**
     * 货币类型
     */
    currency?: string;
    /**
     * 累计充值金额
     */
    deposit?: number;
    /**
     * 第一次充值时间
     */
    first_pay_time?: number;
    /**
     * 锁定活动代币
     */
    lock_point?: number;
    /**
     * 锁定积分
     */
    lock_score?: number;
    /**
     * 真实姓名
     */
    nick_name?: string;
    /**
     * 活动代币
     */
    point?: number;
    /**
     * 积分
     */
    Score?: number;
    /**
     * 用户名
     */
    user_name?: string;
}
// 前台用户获取金额信息
export const getUserMoneyApi = () => {
    return server.post<Wallet>({
        url: "/v1/api/user/user_money",
    });
};
// 前台用户充值
export const getUserRechargeApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/user_recharge",
        data,
        toast: true,
    });
};
