"use client";
import { useGlobalNoticeStore } from "@/stores/useGlobalNoticeStore";
import { AnimatePresence, motion } from "framer-motion";
import { FC, useEffect, useState } from "react";

interface Props {}

const HomeMessage: FC<Props> = (props) => {
    const [visible, setVisible] = useState(true);
    const { getGlobalNotice, topNotices } = useGlobalNoticeStore((state) => ({
        globalNotices: state.globalNotices,
        getGlobalNotice: state.getGlobalNotice,
        topNotices: state.topNotices,
    }));
    useEffect(() => {
        getGlobalNotice();
        const isCloseMessage = sessionStorage.getItem("isCloseMessage");
        setVisible(!isCloseMessage);
    }, []);

    const closeHandler = () => {
        setVisible(false);
        sessionStorage.setItem("isCloseMessage", "true");
    };
    return (
        <>
            <AnimatePresence>
                {visible && topNotices.content && (
                    <motion.div
                        className={`absolute z-10 flex w-[100%] bg-[rgba(1,1,1,0.8)] px-[0.1389rem] py-[0.0333rem] text-[0.13rem]`}
                        initial={{ opacity: 0 }}
                        animate={{ opacity: 1 }}
                        exit={{ opacity: 0 }}
                        transition={{ type: "spring" }}
                    >
                        <div className={"flex-1"}>{topNotices?.content?.text}</div>
                        <div>
                            <i className={"iconfont icon-guanbi"} onClick={closeHandler}></i>
                        </div>
                    </motion.div>
                )}
            </AnimatePresence>
        </>
    );
};

export default HomeMessage;
