"use client";
import { motion, useAnimation } from "framer-motion";

const AnimatedDivs = () => {
    const controls = useAnimation();

    // Define animation variants
    const variants = {
        hidden: { x: 0 },
        visible: { x: 0 },
    };
    const variants2 = {
        hidden: { x: -385 },
        visible: { x: 0 },
    };

    // Define a sequence to stagger animations

    const handler = () => {
        controls.start((i) => ({
            x: 385,
            transition: { duration: 1 },
        }));
    };

    return (
        <div className={"flex"}>
            {/* First animated div */}
            <motion.section
                initial="hidden"
                animate={controls}
                variants={variants2}
                style={{
                    width: "385px",
                    height: "100px",
                    backgroundColor: "red",
                }}
            />
            {/* Second animated div */}
            <motion.section
                initial="hidden"
                animate={controls}
                variants={variants}
                onClick={handler}
                className={"border-1"}
                style={{
                    width: "100%",
                    height: "100px",
                    flexShrink: 0,
                    backgroundColor: "blue",
                }}
            />
        </div>
    );
};

export default AnimatedDivs;
