import { getGlobalNoticeApi, GlobalNoticeRep } from "@/api/home";
import { create } from "zustand";

interface State {
    globalNotices: GlobalNoticeRep[];
    topNotices: GlobalNoticeRep;
}

interface Action {
    setGlobalNotice: (state: GlobalNoticeRep[]) => void;
    getGlobalNotice: () => void;
}

const initialState: State = {
    globalNotices: [],
    topNotices: {},
};
export const useGlobalNoticeStore = create<State & Action>()((set, get) => {
    return {
        ...initialState,
        setGlobalNotice: (score) => {
            set((state) => ({ globalNotices: score }));
        },
        getGlobalNotice: async () => {
            const res = await getGlobalNoticeApi();
            if (res.code === 200 && res.data) {
                set((state) => ({ globalNotices: res.data, topNotices: res.data[0] }));
            } else {
                set(initialState);
            }
        },
    };
});
