export function debounce(fn: Function, delay = 200, immediate = false) {
    let timer: ReturnType<typeof setTimeout>;
    return function (...args: any) {
        const context = globalThis;
        let result: unknown;
        args = arguments;
        if (timer) {
            clearTimeout(timer);
        }
        if (immediate && !timer) {
            result = fn.apply(context, args);
        }
        timer = setTimeout(() => {
            result = fn.apply(context, args);
        }, delay);

        return result;
    };
}
